bit.ly API version2 廃止


bit.lyのAPIの過去バージョンが使えなくなったようだ。
自作サイトでいきなりバグっててびっくりした。

これまでは下記のようなurlでリクエストしていたが、2月24日頃から使えなくなったらしい。

http://api.bit.ly/shorten
?version=2.0.1
&login=(メールアドレス)
&apiKey=(apiKey)
&longUrl=(短くしたいURL)

今後は下記のようなurlでリクエストすべし。

http://api.bitly.com/v3/shorten
?login=(bit.lyアカウント名 ※メールアドレスではない!)
&apiKey=(これまでと同様のapiKey)
&longUrl=(短くしたいURL)
&format=xml(xmlの他に、txt,jsonも指定可能。)

Follow me!


コメントを残す

メールアドレスが公開されることはありません。